#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <time.h>

// #define DEBUG // MACRO to make debugging easier

#define BROWSER "mozilla"
#define MKTHUMBS "djpeg -pnm -dct float %s | pnmscale -width %d | cjpeg -dct float -quality 75 > %s\n"

typedef struct _params
{
   int nrperindex;
   int thumbwidth;
   int startnr;
   int endnr;
   int phcount;
   
   int blocksize;
   char *basename;
   char *fullsizedir;
   char *thumbnailsdir;
   char *jpgextension;
} Params;

extern GtkWidget *window1;

/* From htmlstuf.c : */
Params *getParams(GtkWidget *widget);
void generateHtml(GtkButton *button, gpointer user_data);
void viewHtml(GtkButton *button, gpointer user_data);

/* From dialogstuff.c : */
void defaultAction(GtkButton *button, gpointer user_data);
void createDialogbox(char *line1, gpointer cancelAction, gpointer okAction);

/* From thumbsstuff.c : */
void thumbnailsDialog(GtkButton *button, gpointer user_data);
void generateThumbnails(GtkButton *button, gpointer user_data);

/* From extrastuff.c : */
void myinit(GtkWidget *window1);
